<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends MY_Controller
{

    private $num_rows = 20;

    public function __construct()
    {
        parent::__construct();
        $this->load->Model('Public_model');
		$this->load->Model('admin/Brands_model');
        $this->load->model(array('admin/Orders_model', 'admin/History_model'));
    }

    public function index($page = 0)
    {
        if (!$_SESSION['logged_user']){
			$this->session->sess_destroy();
			redirect(LANG_URL);
		}
		$data = array();
		$head = array();
		$head['pagename'] = "Home";
		$head['title'] = "Secure Investment Plus - Home";
		$head['description'] = "Secure Investment Plus";
		$head['keywords'] = str_replace(" ", ",", $head['title']);
		$wallet_address = $this->Public_model->getWalletAddress($_SESSION['logged_user']['user_id']);
		$data['wallet_address'] = $wallet_address;
		$this->render('home', $head, $data);
    }

    public function profile_update()
    {
        $this->login_check();
        $trans_load = $this->Public_model->getUserProfileDetail($_SESSION['logged_user']['id']);
        if (isset($_POST['submit'])) {
			$id = $_SESSION['logged_user']['id'];
            //$_POST['image'] = $this->uploadImage();
            $result = $this->Public_model->getUserProfileDetail($id);
            if(!$result){
				$this->Public_model->setUsersProfile($_POST);
			} else {
				$this->Public_model->updateUsersProfile($_POST, $id);				
			}
            $this->session->set_flashdata('result_publish', 'Profile updated!');
            if ($id == 0) {
                //$this->saveHistory('Success Profile Created');
            } else {
                //$this->saveHistory('Success updated profile');
            }
			redirect(base_url('profile_update'));
        }
        $data = array();
        $head = array();
        $head['pagename'] = "Home";
        $head['title'] = 'Chitransh - Profile Update';
        $head['description'] = '!';
        $head['keywords'] = '';
        //$data['id'] = $id;
        $data['trans_load'] = $trans_load;
        $data['otherImgs'] = $this->loadOthersImages();
		$this->render('profile_update', $head, $data);
        //$this->saveHistory('Go to publish product');
    }

    public function team()
    {
        $this->login_check();
        $trans_load = $this->Public_model->getUserProfileDetail($_SESSION['logged_user']['id']);
        $wallet_address = $this->Public_model->getWalletAddress($_SESSION['logged_user']['user_id']);
        $token_load = $this->Public_model->getTokenDetail();
        $wallet_bal = $this->Public_model->getWalletBalance($_SESSION['logged_user']['user_id']);

        $data = array();
        $head = array();
        $head['pagename'] = "Home";
        $head['title'] = 'Secure Investment Plus - Wallet Update';
        $head['description'] = '!';
        $head['keywords'] = '';
        //$data['id'] = $id;
		$data['wallet_address'] = $wallet_address;
        $data['trans_load'] = $trans_load;
        $data['token_load'] = $token_load;
        $data['wallet_bal'] = $wallet_bal;

		$this->render('wallet', $head, $data);
    }

    public function wallet()
    {
        $this->login_check();
        $trans_load = $this->Public_model->getUserProfileDetail($_SESSION['logged_user']['id']);
        $wallet_address = $this->Public_model->getWalletAddress($_SESSION['logged_user']['user_id']);
        $token_load = $this->Public_model->getTokenDetail();
        $wallet_bal = $this->Public_model->getWalletBalance($_SESSION['logged_user']['user_id']);

        $data = array();
        $head = array();
        $head['pagename'] = "Home";
        $head['title'] = 'Secure Investment Plus - Wallet Update';
        $head['description'] = '!';
        $head['keywords'] = '';
        //$data['id'] = $id;
		$data['wallet_address'] = $wallet_address;
        $data['trans_load'] = $trans_load;
        $data['token_load'] = $token_load;
        $data['wallet_bal'] = $wallet_bal;

		$this->render('wallet', $head, $data);
    }

    public function transaction()
    {
		$coin = $_GET['coin'];
        $this->login_check();
        $trans_load = $this->Public_model->getUserProfileDetail($_SESSION['logged_user']['id']);
        $wallet_address = $this->Public_model->getWalletAddress($_SESSION['logged_user']['user_id']);
        $token_load = $this->Public_model->getTokenDetail();
        $wallet_bal = $this->Public_model->getWalletBalance($_SESSION['logged_user']['user_id']);

        $data = array();
        $head = array();
        $head['pagename'] = "Home";
        $head['title'] = 'Secure Investment Plus - Transaction';
        $head['description'] = '!';
        $head['keywords'] = '';
        //$data['id'] = $id;
		$data['wallet_address'] = $wallet_address;
        $data['trans_load'] = $trans_load;
        $data['token_load'] = $token_load;
        $data['wallet_bal'] = $wallet_bal;
        $data['coin'] = $coin;

		$this->render('transaction', $head, $data);
    }

    public function loadOthersImages()
    {
        $output = '';
        if (isset($_POST['folder']) && $_POST['folder'] != null) {
            $dir = 'attachments' . DIRECTORY_SEPARATOR . 'shop_images' . DIRECTORY_SEPARATOR . $_POST['folder'] . DIRECTORY_SEPARATOR;
            if (is_dir($dir)) {
                if ($dh = opendir($dir)) {
                    $i = 0;
                    while (($file = readdir($dh)) !== false) {
                        if (is_file($dir . $file)) {
                            $output .= '
                                <div class="other-img" id="image-container-' . $i . '">
                                    <img src="' . base_url('attachments/shop_images/' . $_POST['folder'] . '/' . $file) . '" style="width:100px; height: 100px;">
                                    <a href="javascript:void(0);" onclick="removeSecondaryProductImage(\'' . $file . '\', \'' . $_POST['folder'] . '\', ' . $i . ')">
                                        <span class="glyphicon glyphicon-remove"></span>
                                    </a>
                                </div>
                               ';
                        }
                        $i++;
                    }
                    closedir($dh);
                }
            }
        }
        if ($this->input->is_ajax_request()) {
            echo $output;
        } else {
            return $output;
        }
    }

 
    public function changePass()
    {
        $this->login_check();
        $result = $this->Home_admin_model->changePass($_POST['new_pass'], $this->username);
        if ($result == true) {
            echo 1;
        } else {
            echo 0;
        }
        $this->saveHistory('Password change for user: ' . $this->username);
    }

    public function logout()
    {
        $this->session->sess_destroy();
        redirect(LANG_URL);
    }

   /*
     * Used from greenlabel template
     * shop page
     */

    public function shop($page = 0)
    {
        $data = array();
        $head = array();
        $arrSeo = $this->Public_model->getSeo('shop');
        $head['title'] = @$arrSeo['title'];
        $head['description'] = @$arrSeo['description'];
        $head['keywords'] = str_replace(" ", ",", $head['title']);
        $all_categories = $this->Public_model->getShopCategories();
        $data['home_categories'] = $this->getHomeCategories($all_categories);
        $data['all_categories'] = $all_categories;
        $data['showBrands'] = $this->Home_admin_model->getValueStore('showBrands');
        $data['brands'] = $this->Brands_model->getBrands();
        $data['showOutOfStock'] = $this->Home_admin_model->getValueStore('outOfStock');
        $data['shippingOrder'] = $this->Home_admin_model->getValueStore('shippingOrder');
        $data['products'] = $this->Public_model->getProducts($this->num_rows, $page, $_GET);
        $rowscount = $this->Public_model->productsCount($_GET);
        $data['links_pagination'] = pagination('home', $rowscount, $this->num_rows);
        $this->render('shop', $head, $data);
    }

    private function getHomeCategories($categories)
    {

        /*
         * Tree Builder for categories menu
         */

        function buildTree(array $elements, $parentId = 0)
        {
            $branch = array();
            foreach ($elements as $element) {
                if ($element['sub_for'] == $parentId) {
                    $children = buildTree($elements, $element['id']);
                    if ($children) {
                        $element['children'] = $children;
                    }
                    $branch[] = $element;
                }
            }
            return $branch;
        }

        return buildTree($categories);
    }

    /*
     * Called to add/remove quantity from cart
     * If is ajax request send POST'S to class ShoppingCart
     */

    public function manageShoppingCart()
    {
        if (!$this->input->is_ajax_request()) {
            exit('No direct script access allowed');
        }
        $this->shoppingcart->manageShoppingCart();
    }

    /*
     * Called to remove product from cart
     * If is ajax request and send $_GET variable to the class
     */

    public function removeFromCart()
    {
        $backTo = $_GET['back-to'];
        $this->shoppingcart->removeFromCart();
        $this->session->set_flashdata('deleted', lang('deleted_product_from_cart'));
        redirect(LANG_URL . '/' . $backTo);
    }

    public function clearShoppingCart()
    {
        $this->shoppingcart->clearShoppingCart();
    }

    public function viewProduct($id)
    {
        $data = array();
        $head = array();
        $data['product'] = $this->Public_model->getOneProduct($id);
        $data['sameCagegoryProducts'] = $this->Public_model->sameCagegoryProducts($data['product']['shop_categorie'], $id);
        if ($data['product'] === null) {
            show_404();
        }
        $vars['publicDateAdded'] = $this->Home_admin_model->getValueStore('publicDateAdded');
        $this->load->vars($vars);
        $head['title'] = $data['product']['title'];
        $description = url_title(character_limiter(strip_tags($data['product']['description']), 130));
        $description = str_replace("-", " ", $description) . '..';
        $head['description'] = $description;
        $head['keywords'] = str_replace(" ", ",", $data['product']['title']);
        $head['image'] = null;
        if(isset($data['product']['image'])) {
            $head['image'] = base_url('/attachments/shop_images/' . $data['product']['image']);
        }
        $this->render('view_product', $head, $data);
    }

    public function confirmLink($md5)
    {
        if (preg_match('/^[a-f0-9]{32}$/', $md5)) {
            $result = $this->Public_model->confirmOrder($md5);
            if ($result === true) {
                $data = array();
                $head = array();
                $head['title'] = '';
                $head['description'] = '';
                $head['keywords'] = '';
                $this->render('confirmed', $head, $data);
            } else {
                show_404();
            }
        } else {
            show_404();
        }
    }

    public function discountCodeChecker()
    {
        if (!$this->input->is_ajax_request()) {
            exit('No direct script access allowed');
        }
        $result = $this->Public_model->getValidDiscountCode($_POST['enteredCode']);
        if ($result == null) {
            echo 0;
        } else {
            echo json_encode($result);
        }
    }

    public function confirmDelivery()
    {
        if (!$this->input->is_ajax_request()) {
            exit('No direct script access allowed');
        }
		$this->Public_model->confirmDelivery($_POST['orderid']);
        $result = "Success";
        echo "Success";
    }

    public function sitemap()
    {
        header("Content-Type:text/xml");
        echo '<?xml version="1.0" encoding="UTF-8"?>
                <urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
        $products = $this->Public_model->sitemap();
        $blogPosts = $this->Public_model->sitemapBlog();

        foreach ($blogPosts->result() as $row1) {
            echo '<url>

      <loc>' . base_url('blog/' . $row1->url) . '</loc>

      <changefreq>monthly</changefreq>

      <priority>0.1</priority>

   </url>';
        }

        foreach ($products->result() as $row) {
            echo '<url>

      <loc>' . base_url($row->url) . '</loc>

      <changefreq>monthly</changefreq>

      <priority>0.1</priority>

   </url>';
        }

        echo '</urlset>';
    }

}
