<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Users extends MY_Controller
{

    private $registerErrors = array();
    private $user_id;
    private $num_rows = 5;
	private $activation_code;

    public function __construct()
    {
        parent::__construct();
        $this->load->library('email');
    }

    public function index()
    {
        show_404();
    }

    public function login()
    {
        if (isset($_POST['login'])) {
            $result = $this->Public_model->checkPublicUserIsValid($_POST);
            if ($result !== false) {
                $_SESSION['logged_user'] = $result; //id of user
				$_SESSION['last_login'] = $result['last_login'];
				$_SESSION['logged_in'] = $result['name'];
				$this->session->set_userdata('logged_in', $result['name']);
				//$this->saveHistory('User ' . $result['email'] . ' logged in');
                redirect(LANG_URL . '/home');
            } else {
                $this->session->set_flashdata('userError', lang('wrong_user'). ' or Email not verified.');
            }
        }
        $head = array();
        $data = array();
        $head['title'] = lang('user_login');
        $head['description'] = lang('user_login');
        $head['keywords'] = str_replace(" ", ",", $head['title']);
        $head['pagename'] = "Login";
        $this->render('login', $head, $data);
    }

    public function register()
    {
        if (isset($_POST['signup'])) {
			$this->activation_code = $this->random_strings(128);
            $result = $this->registerValidate();
            if ($result == false) {
                $this->session->set_flashdata('userError', $this->registerErrors);
                redirect(LANG_URL . '/register');
            } else {
                $_SESSION['logged_user'] = $this->user_id; //id of user
				$_SESSION['referral'] = $_POST['referral'];

				$mailbody1 = "<p>Hi ".$_POST['name'].",</p><p>Thanks for Registration. Your password is ".$_POST['pass'].", This password will work only after your email verification.</p>";
				$mailbody2 = "<p>Please Open this link to verified your email address - ".LANG_URL."/users/verifyemailconfirmation?activation_code=".$this->activation_code;

				$mail_body = $mailbody1.$mailbody2;
				redirect(LANG_URL . '/emailprocess?email='. $_POST['email'].'&message='.$mail_body);
            }
        }
        $head = array();
        $data = array();
		if (isset($_GET['referral'])) {$data['referral']=$_GET['referral'];}
        $head['title'] = lang('user_register');
        $head['description'] = lang('user_register');
        $head['keywords'] = str_replace(" ", ",", $head['title']);
        $head['pagename'] = "Signup";
        $this->render('signup', $head, $data);
    }

    public function contributionlist($page = 0)
    {
        $data = array();
        $head = array();
        $head['title'] = 'Contribution List - Sri Chitragupt Ji';
        $head['description'] = '!';
        $head['keywords'] = '';
        $head['pagename'] = "";
        $data['contri_list'] = $this->Public_model->getDonation();
        //$data['languages'] = $this->Languages_model->getLanguages();
        //$rowscount = $this->Public_model->donationCategoriesCount();
        $data['links_pagination'] = pagination('contributionlist', '5', $this->num_rows, 3);
        $this->render('contribution', $head, $data);
    }

    public function donationentry()
    {
        if (isset($_POST['donate'])) {
            $result = $this->Public_model->donateEntry($_POST);
            if ($result !== false) {
                $_SESSION['logged_user'] = $result; //id of user
				$_SESSION['last_login'] = $result['last_login'];
				$this->session->set_userdata('logged_in', $result['email']);
				//$this->saveHistory('User ' . $result['email'] . ' logged in');
                redirect(LANG_URL . '/home');
            } else {
                $this->session->set_flashdata('userError', lang('wrong_user'));
            }
        }
        $head = array();
        $data = array();
        $head['title'] = 'Donation Entry';
        $head['description'] = lang('user_login');
        $head['keywords'] = str_replace(" ", ",", $head['title']);
        $head['pagename'] = "";
        $this->render('donation_entry', $head, $data);
    }

    public function myaccount($page = 0)
    {
        if (isset($_POST['update'])) {
            $_POST['id'] = $_SESSION['logged_user'];
            $count_emails = $this->Public_model->countPublicUsersWithEmail($_POST['email'], $_POST['id']);
            if ($count_emails == 0) {
                $this->Public_model->updateProfile($_POST);
            }
            redirect(LANG_URL . '/myaccount');
        }
        if (isset($_SESSION['logged_user'])) {
			$head = array();
			$data = array();
			$head['title'] = lang('my_acc');
			$head['description'] = lang('my_acc');
			$head['keywords'] = str_replace(" ", ",", $head['title']);
			$data['userInfo'] = $this->Public_model->getUserProfileInfo($_SESSION['logged_user']);
			$rowscount = $this->Public_model->getUserOrdersHistoryCount($_SESSION['logged_user']);
			$data['orders_history'] = $this->Public_model->getUserOrdersHistory($_SESSION['logged_user'], $this->num_rows, $page);
			$data['links_pagination'] = pagination('myaccount', $rowscount, $this->num_rows, 2);
			$this->render('user', $head, $data);
		} else {
			redirect('home');
		}
    }

	public function change_password() {
        if (isset($_POST['update'])) {
            $_POST['id'] = $_SESSION['logged_user'];
			$this->Public_model->updateProfile($_POST);
        }
		redirect(LANG_URL . '/myaccount');
	}

    public function logout()
    {
        unset($_SESSION['logged_user']);
        redirect(LANG_URL);
    }

    private function registerValidate()
    {
        $errors = '';
        if (mb_strlen(trim($_POST['name'])) == 0) {
            $errors = lang('please_enter_name');
        }
        if (mb_strlen(trim($_POST['phone'])) == 0) {
            $errors = lang('please_enter_phone');
        }
        if (!filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
            $errors = lang('invalid_email');
        }
        if (mb_strlen(trim($_POST['pass'])) == 0) {
            $errors = lang('enter_password');
        }
		$_POST['activation_code'] = $this->activation_code;

        $count_emails = $this->Public_model->countPublicUsersWithEmail($_POST['email']);
        if ($count_emails > 0) {
            $errors = lang('user_email_is_taken');
        }
        if (!empty($errors)) {
            $this->registerErrors = $errors;
            return false;
        }
        $this->user_id = $this->Public_model->registerUser($_POST);
        return true;
    }

    function register_via_ajax()
    {
        $data['user_id'] = $this->Public_model->registerUser($_POST);
		$resultid = array('success' => 'Success');
		echo json_encode($resultid);
	}

    function verify_duplicate($email)
    {
        $count_emails = $this->Public_model->countPublicUsersWithEmail($email);

        if ($count_emails > 0) {
			$result=array('success' => 'Success', 'count'=>'1');
		} else {
			$result=array('success' => 'Success', 'count'=>'0');
		}
		echo json_encode($result);
	}

	function random_strings($length_of_string)
	{
		// String of all alphanumeric character
		$str_result = '0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz';

		// Shuffle the $str_result and returns substring
		// of specified length
		return substr(str_shuffle($str_result), 0, $length_of_string);
	}

    function wallet_address_add()
    {
        $data['wallet_id'] = $this->Public_model->add_wallet_address($_POST);
		$resultid = array('success' => 'Success');
		echo json_encode($resultid);
	}

    function verify_wallet($userid)
    {
        $count_wallet = $this->Public_model->countUsersWallet($userid);

        if ($count_wallet > 0) {
			$result=array('success' => 'Success', 'count'=>'1');
		} else {
			$result=array('success' => 'Success', 'count'=>'0');
		}
		echo json_encode($result);
	}

    public function verifyemaillogin()
    {
		$result = $this->Public_model->checkPublicUserIsValid($_POST);
		if ($result !== false) {
			$_SESSION['logged_user'] = $result['id']; //id of user
			$data['verify'] = $result;
		} else {
			$this->session->set_flashdata('userError', lang('wrong_user'));
			$data['verify'] = "0";
		}
		echo json_encode($data['verify']);
    }

    public function verifyphonelogin($phone)
    {
		$result = $this->Public_model->checkUserPhone($phone);
		if (is_null($result)) {
			$this->session->set_flashdata('userError', lang('wrong_user'));
		} else {
			$_SESSION['logged_user'] = $result['id']; //id of user
		}
		$data['verify'] = $result;
		
		echo json_encode($data['verify']);
    }

    public function verifyfblogin()
    {
		$result = $this->Public_model->checkFbUserIsValid($_POST);
		if ($result !== false) {
			$_SESSION['logged_user'] = $result['id']; //id of user
			$data['verify'] = $result;
		} else {
			$result = $this->Public_model->registerUser($_POST);
			$result = $this->Public_model->checkFbUserIsValid($_POST);
			if ($result !== false) {
				$_SESSION['logged_user'] = $result['id']; //id of user
				$data['verify'] = $result;
			} else {
				$this->session->set_flashdata('userError', lang('wrong_user'));
				$data['verify'] = "0";
			}
		}
		echo json_encode($data['verify']);
    }

    public function verifyemailconfirmation()
    {
		$activation_code = $_GET['activation_code'];
		$result = $this->Public_model->verifyemail($activation_code);
		if (is_null($result)) {
			echo "Invalid verification code. Please click on correct link.";
		} else {
			//echo "Email verified. You can <a href='https://secureinvestplus.com/dashboard/'>login now</a>"; //id of user https://secureinvestplus.com/
			$this->session->set_flashdata('userError', lang('wrong_user'). ' or Email not verified.');
			redirect(LANG_URL . '/dashboard/');
		}
    }
}
