<?php

class Public_model extends CI_Model
{

    private $showOutOfStock;
    private $showInSliderProducts;
    private $multiVendor;

    public function __construct()
    {
        parent::__construct();
        $this->load->Model('Home_admin_model');
        $this->showOutOfStock = $this->Home_admin_model->getValueStore('outOfStock');
        $this->showInSliderProducts = $this->Home_admin_model->getValueStore('showInSlider');
        $this->multiVendor = $this->Home_admin_model->getValueStore('multiVendor');
    }

    public function getNotifyUsers()
    {
        $result = $this->db->query('SELECT email FROM users WHERE notify = 1');
        $arr = array();
        foreach ($result->result_array() as $email) {
            $arr[] = $email['email'];
        }
        return $arr;
    }

    public function setActivationLink($link, $orderId)
    {
        $result = $this->db->insert('confirm_links', array('link' => $link, 'for_order' => $orderId));
        return $result;
    }

    public function getSliderProducts()
    {
        $this->db->select('vendors.url as vendor_url, products.id, products.quantity, products.image, products.url, products_translations.price, products_translations.title, products_translations.basic_description, products_translations.old_price, products_translations.dis_price, products_translations.batch_no, products_translations.mfd_date, products_translations.exp_date');
        $this->db->join('products_translations', 'products_translations.for_id = products.id', 'left');
        $this->db->join('vendors', 'vendors.id = products.vendor_id', 'left');
        $this->db->where('products_translations.abbr', MY_LANGUAGE_ABBR);
        $this->db->where('visibility', 1);
        $this->db->where('in_slider', 1);
        if ($this->showOutOfStock == 0) {
            $this->db->where('quantity >', 0);
        }
        $query = $this->db->get('products');
        return $query->result_array();
    }

    public function setSubscribe($array)
    {
        $num = $this->db->where('email', $arr['email'])->count_all_results('subscribed');
        if ($num == 0) {
            $this->db->insert('subscribed', $array);
        }
    }

    public function getOneLanguage($myLang)
    {
        $this->db->select('*');
        $this->db->where('abbr', $myLang);
        $result = $this->db->get('languages');
        return $result->row_array();
    }

    public function getDynPagesLangs($dynPages)
    {
        if (!empty($dynPages)) {
            $this->db->join('textual_pages_tanslations', 'textual_pages_tanslations.for_id = active_pages.id', 'left');
            $this->db->where_in('active_pages.name', $dynPages);
            $this->db->where('textual_pages_tanslations.abbr', MY_LANGUAGE_ABBR);
            $result = $this->db->select('textual_pages_tanslations.name as lname, active_pages.name as pname')->get('active_pages');
            $ar = array();
            $i = 0;
            foreach ($result->result_array() as $arr) {
                $ar[$i]['lname'] = $arr['lname'];
                $ar[$i]['pname'] = $arr['pname'];
                $i++;
            }
            return $ar;
        } else
            return $dynPages;
    }

    public function getOnePage($page)
    {
        $this->db->join('textual_pages_tanslations', 'textual_pages_tanslations.for_id = active_pages.id', 'left');
        $this->db->where('textual_pages_tanslations.abbr', MY_LANGUAGE_ABBR);
        $this->db->where('active_pages.name', $page);
        $result = $this->db->select('textual_pages_tanslations.description as content, textual_pages_tanslations.name')->get('active_pages');
        return $result->row_array();
    }

    public function getFooterCategories()
    {
        /*$this->db->select('shop_categories.id, shop_categories_translations.name');
        $this->db->where('abbr', MY_LANGUAGE_ABBR);
        $this->db->where('shop_categories.sub_for =', 0);
        $this->db->join('shop_categories', 'shop_categories.id = shop_categories_translations.for_id', 'INNER');
        $this->db->limit(10);
        $query = $this->db->get('shop_categories_translations');
        $arr = array();
        if ($query !== false) {
            foreach ($query->result_array() as $row) {
                $arr[$row['id']] = $row['name'];
            }
        }
        return $arr;*/
    }

    public function changePaypalOrderStatus($order_id, $status)
    {
        $processed = 0;
        if ($status == 'canceled') {
            $processed = 2;
        }
        $this->db->where('order_id', $order_id);
        if (!$this->db->update('orders', array(
                    'paypal_status' => $status,
                    'processed' => $processed
                ))) {
            log_message('error', print_r($this->db->error(), true));
        }
    }

    public function changeDebitcardOrderStatus($order_id, $status)
    {
        $processed = 0;
        if ($status == 'canceled') {
            $processed = 2;
        } elseif ($status == 'paid') {
            $processed = 1;
		}
        $this->db->where('order_id', $order_id);
        if (!$this->db->update('orders', array(
                    'paypal_status' => $status,
                    'processed' => $processed
                ))) {
            log_message('error', print_r($this->db->error(), true));
        }
    }

    public function getCookieLaw()
    {
        $this->db->join('cookie_law_translations', 'cookie_law_translations.for_id = cookie_law.id', 'inner');
        $this->db->where('cookie_law_translations.abbr', MY_LANGUAGE_ABBR);
        $this->db->where('cookie_law.visibility', '1');
        $query = $this->db->select('link, theme, message, button_text, learn_more')->get('cookie_law');
        if ($query->num_rows() > 0) {
            return $query->row_array();
        } else {
            return false;
        }
    }

    public function countPublicUsersWithEmail($email, $id = 0)
    {
        if ($id > 0) {
            $this->db->where('id !=', $id);
        }
        $this->db->where('email', $email);
        return $this->db->count_all_results('users_public');
    }

    public function countPublicUsersWithPhone($phone, $id = 0)
    {
        if ($id > 0) {
            $this->db->where('id !=', $id);
        }
        $this->db->where('phone', $phone);
        return $this->db->count_all_results('users_public');
    }

    public function countUsersWallet($userid)
    {
        $this->db->where('user_id', $userid);
        return $this->db->count_all_results('wallet_address');
    }

    public function registerUser($post)
    {
		$this->db->select_max('id');
        $this->db->order_by('users_public.id', 'DESC');
        $result = $this->db->get('users_public');
		$userid = 0;
		
		if ($result->num_rows() > 0)
		{
			$res2 = $result->result_array();
			$userid = $res2[0]['id'];
		}
	
		$userid = $userid + 111111;

        $this->db->select('root_id, id');
		$this->db->where('user_id', $post["referral"]);
        $this->db->order_by('users_public.referral', 'DESC');
        $rootid_result = $this->db->get('users_public');
		if ($rootid_result->num_rows() > 0){
			$resroot = $rootid_result->result_array();
			
			if($resroot[0]['root_id']>0)
				$rootid = $resroot[0]['root_id'];
			else
				$rootid = $resroot[0]['id'];
		}
		
		$this->db->insert('users_public', array(
			'user_id' => $userid,
            'name' => $post['name'],
            'phone' => trim($post['phone']),
            'email' => $post['email'],
            'password' => md5($post['pass']),
			'referral' => $post["referral"],
			'parent_id' => $post["referral"],
			'root_id' => $rootid,
            'activation_code' => $post['activation_code'],
			'activated' => 'No'
        ));
        return $this->db->insert_id();
    }

    public function donateEntry($post)
    {
        $this->db->insert('donation', array(
            'name' => $post['name'],
            'phone' => trim($post['phone']),
            'email' => $post['email'],
            'password' => md5($post['pass']),
			'login_via' => $post["login_via"],
            'activation_code' => $post['activation_code'],
			'activated' => 'No'
        ));
        return $this->db->insert_id();
    }

    public function setUsersProfile($post)
    {
        $this->db->insert('users_public_profile', array(
            'name' => $post['name'],
            'father_name' => $post['fname'],
            'gender' => $post['gender'],
            'dob' => $post['dob'],
            'per_address' => $post['peradd'],
            'cur_address' => $post['curadd'],
            'pcity' => $post['pcity'],
            'pstate' => $post['pstate'],
            'ccity' => $post['ccity'],
            'cstate' => $post['cstate'],
            'ppin' => $post['ppin'],
            'cpin' => $post['cpin'],
            'description' => $post['description'],
			'image' => $post["image"]
        ));
        return $this->db->insert_id();
    }

    public function updateUsersProfile($post, $id)
    {
		$array = array(
            'name' => $post['name'],
            'father_name' => $post['fname'],
            'gender' => $post['gender'],
            'dob' => $post['dob'],
            'per_address' => $post['peradd'],
            'cur_address' => $post['curadd'],
            'pcity' => $post['pcity'],
            'pstate' => $post['pstate'],
            'ccity' => $post['ccity'],
            'cstate' => $post['cstate'],
            'ppin' => $post['ppin'],
            'cpin' => $post['cpin'],
            'description' => $post['description'],
			'image' => $post["image"]
        );

        $this->db->where('id', $id);
        $this->db->update('users_public_profile', $array);
    }

    public function updateProfile($post)
    {
        $array = array(
            'name' => $post['name'],
            'phone' => $post['phone'],
            'email' => $post['email']
        );
        if (trim($post['pass']) != '') {
            $array['password'] = md5($post['pass']);
        }
        $this->db->where('id', $post['id']);
        $this->db->update('users_public', $array);
    }

    public function updatePassword($post)
    {
        if (trim($post['pass']) != '') {
            $array['password'] = md5($post['pass']);
        }
        $this->db->where('id', $post['id']);
        $this->db->update('users_public', $array);
    }

    public function checkPublicUserIsValid($post)
    {
        $this->db->where('email', $post['email']);
        $this->db->where('activated', 'Yes');
        $this->db->where('password', md5($post['password']));
        $query = $this->db->get('users_public');
        $result = $query->row_array();
        if (empty($result)) {
            return false;
        } else {
            return $result;
        }
    }

    public function checkFbUserIsValid($post)
    {
        $this->db->where('email', trim($post['email']));
        //$this->db->where('password', md5($post['pass']));
        $query = $this->db->get('users_public');
        $result = $query->row_array();
        if (empty($result)) {
            return false; //$this->registerUser($post);
        } else {
            return $result;
        }
    }

    public function checkUserPhone($phone)
    {
		$this->db->where('phone', trim($phone));
        $query = $this->db->get('users_public');
        return $result = $query->row_array();
        /*if (empty($result)) {
            return false;
        } else {
            return $result;
        }*/
    }

    public function verifyemail($activation_code)
    {
        $array = array(
            'activation_code' => '',
			'activated' => 'Yes'
        );
		$this->db->where('activation_code', trim($activation_code));
        $query = $this->db->get('users_public');
		$result = $query->row_array();
		
		if (is_null($result)) {
			//
		} else {
			$this->db->where('activation_code', trim($activation_code));
			$this->db->update('users_public', $array);
		}
		
        return $result;
    }

    public function getUserProfileInfo($id)
    {
        $this->db->where('id', $id);
        $query = $this->db->get('users_public');
        return $query->row_array();
    }

    public function getUserProfileDetail($id)
    {
        $this->db->where('id', $id);
        $query = $this->db->get('users_public_profile');
        return $query->row_array();
    }

    public function getWalletAddress($user_id)
    {
        $this->db->where('user_id', $user_id);
        $query = $this->db->get('wallet_address');
        return $query->row_array();
    }

    public function add_wallet_address($post)
    {
		$this->db->insert('wallet_address', array(
            'user_id' => $post['userid'],
            'wallet_address' => $post['address'],
            'private_key' => $post['key'],
        ));
        return $this->db->insert_id();
    }

    public function verify_wallet($post)
    {
		$this->db->insert('wallet_address', array(
            'user_id' => $post['userid'],
            'wallet_address' => $post['address'],
            'private_key' => $post['key'],
        ));
        return $this->db->insert_id();
    }

    public function getTokenDetail()
    {
        //$this->db->where('id', $id);
        $query = $this->db->get('rlt_token');
        return $query->result_array();
        //return $query->row_array();
    }

    public function getWalletBalance($user_id)
    {
        $this->db->where('user_id', $user_id);
        $this->db->order_by('rlt_token.symbol', 'ASC');
        $this->db->select('rlt_token.name,'
                . ' rlt_token.symbol, rlt_token.contract_address, rlt_token.network, '
                . 'rlt_token.active, wallet.balance');
        $this->db->join('rlt_token', 'rlt_token.id = wallet.token_id', 'inner');
        $query = $this->db->get('wallet');
        return $query->result_array();
        //return $query->row_array();

        //$this->db->where('user_id', $userId);
        //$this->db->order_by('orders.id', 'DESC');
        /*$this->db->select('orders_clients.first_name,'
                . ' orders_clients.last_name, orders_clients.email, orders_clients.phone, '
                . 'orders_clients.address, orders_clients.city, orders_clients.post_code');
                //. ' orders_clients.notes, discount_codes.type as discount_type, discount_codes.amount as discount_amount');
        $this->db->join('rlt_token', 'rlt_token.id = wallet.token_id', 'inner');
        //$this->db->join('discount_codes', 'discount_codes.code = orders.discount_code', 'left');
        $result = $this->db->get('orders');
        return $result->result_array();*/

    }

    public function getDonation()
    {
        $query = $this->db->query('SELECT * FROM donation ORDER BY id ASC ');
        return $query->result_array();
    }

    public function getDonationRecord($id)
    {
        $this->db->where('id', $id);
        $query = $this->db->get('donation');
        return $query->row_array();
    }

    public function updateDonation($post)
    {
        $array = array(
            'first_name' => $post['name'],
            'address' => $post['phone'],
            'donation_mode' => $post['phone'],
            'amount' => $post['email']
        );
        $this->db->where('id', $post['id']);
        $this->db->update('users_public', $array);
    }

    public function donationCategoriesCount()
    {
        return $this->db->count_all_results('shop_categories');
    }

    public function sitemap()
    {
        $query = $this->db->select('url')->get('products');
        return $query;
    }

    public function sitemapBlog()
    {
        $query = $this->db->select('url')->get('blog_posts');
        return $query;
    }

    public function getUserAddress($userId)
    {
        $this->db->where('user_id', $userId);
        $this->db->order_by('orders.id', 'DESC');
        $this->db->select('orders_clients.first_name,'
                . ' orders_clients.last_name, orders_clients.email, orders_clients.phone, '
                . 'orders_clients.address, orders_clients.city, orders_clients.post_code');
                //. ' orders_clients.notes, discount_codes.type as discount_type, discount_codes.amount as discount_amount');
        $this->db->join('orders_clients', 'orders_clients.for_id = orders.id', 'inner');
        //$this->db->join('discount_codes', 'discount_codes.code = orders.discount_code', 'left');
        $result = $this->db->get('orders');
        return $result->result_array();
    }

}
